Name: dnf-cache
Summary: Ferramenta de busca e pesquisa dos pacotes do Fedora.
Version: 0.1.3
Release: 1%{?dist}
License: GPLv3
BuildArch: noarch
URL: https://gitlab.com/blau_araujo/dnf-cache/

Requires: sqlite
Requires: sqlite-libs
Requires: python3
Requires: fzf

Source0: https://gitlab.com/blau_araujo/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

%description
Ferramenta de busca e pesquisa dos pacotes do Fedora.

%prep
%setup -n dnf-cache-v%{version}

%build

%install
mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}
install -m 755 -p -D %{name} %{buildroot}%{_bindir}/%{name}
install -m 644 -p -D %{name}-update %{buildroot}/usr/lib/%{name}-update
install -m 644 -p -D completion/%{name} %{buildroot}%{_datadir}/bash-completion/completions/%{name}

%post
dnf-cache update

%postun
# Uninstall.
if [ $1 == 0 ]; then
  rm -rf %{_localstatedir}/cache/%{name}
  rm %{_datadir}/bash-completion/completions/%{name}
  rm %{_bindir}/%{name}
  rm /usr/lib/%{name}-update
fi

%files
%{_localstatedir}/cache/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_bindir}/%{name}
/usr/lib/%{name}-update

# vim:set ts=2 sw=2 et:
